#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.15.0.1
visibility:           public
id:                   HTF-0.15.0.1-CSdRUbtkuOhA0krWgbi1Y9
key:                  HTF-0.15.0.1-CSdRUbtkuOhA0krWgbi1Y9
license:              LGPL-2.1-only
copyright:            (c) 2005-2023 Stefan Wehr
maintainer:           Stefan Wehr
author:               Stefan Wehr
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define and organize unit tests,
    QuickCheck properties,
    and black box tests in an
    easy and convenient way. HTF uses a custom preprocessor that collects
    test definitions automatically.

    HTF produces highly readable output
    for failing test cases: it provides exact file name and line number
    information,
    it colors and pretty prints expected and
    actual results, and it displays a diff highlighting the mismatching parts.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. The /sample/ directory in
    the HTF repo provides a good starting point for
    a project using HTF.

category:             Testing
abi:                  45c2590f5929739a8a09fe8cd1419325
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestTypes Test.Framework.ThreadPool
    Test.Framework.Tutorial Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.Diff Test.Framework.Process
    Test.Framework.TestReporter Test.Framework.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/HTF-0.15.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/HTF-0.15.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-htf
hs-libraries:         HSHTF-0.15.0.1-CSdRUbtkuOhA0krWgbi1Y9
depends:
    Diff-0.4.1-ABr4z81dawB7qqEgf1hqaX
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-KglZRIILqj13C4GmkOAzbm
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np array-0.5.4.0 base-4.16.4.0
    base64-bytestring-1.2.1.0-ANgoIOgDJNLFF2Mno9rS0F
    bytestring-0.11.4.0 containers-0.6.5.1
    cpphs-1.20.9.1-1K2ccivGg76HqdQttHm61m directory-1.3.6.2
    haskell-src-1.0.4-AUioANRK23F4Z9CYhguNKP
    lifted-base-0.2.3.12-6BgNIrdASDp6hiAqu7IrGe
    monad-control-1.0.3.1-4oe1GZGE3LzIKnWqU3gpY7 mtl-2.2.2
    old-time-1.1.0.4-Dlc8YwGlkPi2Y3VNXkrOFg pretty-1.1.3.6
    process-1.6.16.0 random-1.2.1.2-9cGKz2N6Xs0EPg4VyoTasz
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy text-1.2.5.0
    time-1.11.1.1 unix-2.7.2.2 vector-0.13.1.0-6zUlLOR49glIjajdp1B41
    xmlgen-0.6.2.2-5jrBvSAvyi54826IHUBogZ

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

